Package com.google.javascript.jscomp

# Enum ErrorFormat

java.lang.Object
java.lang.Enum<ErrorFormat>
com.google.javascript.jscomp.ErrorFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorFormat>`, `java.lang.constant.Constable`

public enum ErrorFormat extends Enum<ErrorFormat>
Error formats available.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LEGACY`
`MULTILINE`
`SINGLELINE`
`SOURCELESS`

## Method Summary

Modifier and Type
Method
Description
`abstract MessageFormatter`
`toFormatter(SourceExcerptProvider source, boolean colorize)`
Convert to a concrete formatter.
`static ErrorFormat`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ErrorFormat[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEGACY

public static final ErrorFormat LEGACY

### SINGLELINE

public static final ErrorFormat SINGLELINE

### MULTILINE

public static final ErrorFormat MULTILINE

### SOURCELESS

public static final ErrorFormat SOURCELESS

## Method Details

### values

public static ErrorFormat[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ErrorFormat valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toFormatter

public abstract MessageFormatter toFormatter(SourceExcerptProvider source, boolean colorize)
Convert to a concrete formatter.